com.streambase.liveview.client

## Enum LiveViewPermission.Action

- java.lang.Object
- - java.lang.Enum<LiveViewPermission.Action>
  - - com.streambase.liveview.client.LiveViewPermission.Action

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewPermission.Action>
  Enclosing class:
    LiveViewPermission

      public static enum LiveViewPermission.Action
      extends Enum<LiveViewPermission.Action>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `ALERT_ACTION_DELETE`
    `ALERT_ACTION_EMAIL`
    `ALERT_ACTION_JAVA`
    `ALERT_ACTION_LIVEVIEW_PUBLISH`
    `ALERT_ACTION_OS_CMD`
    `ALERT_ACTION_PUBLISH`
    `ALERT_ACTION_SEND_TUPLE`
    `ALL`
    `CCQUERY`
    `DELETE`
    `EXPORT`
    `GET`
    `IMPORT`
    `INFO`
    `KILL`
    `LIST`
    `MANAGE`
    `PUBLISH`
    `QUERY`
    `REMOVE`
    `SEND`
    `SET`
    `STOP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static LiveViewPermission.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewPermission.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUERY

          public static final LiveViewPermission.Action QUERY

    - #### CCQUERY

          public static final LiveViewPermission.Action CCQUERY

    - #### PUBLISH

          public static final LiveViewPermission.Action PUBLISH

    - #### DELETE

          public static final LiveViewPermission.Action DELETE

    - #### MANAGE

          public static final LiveViewPermission.Action MANAGE

    - #### ADD

          public static final LiveViewPermission.Action ADD

    - #### REMOVE

          public static final LiveViewPermission.Action REMOVE

    - #### GET

          public static final LiveViewPermission.Action GET

    - #### SET

          public static final LiveViewPermission.Action SET

    - #### LIST

          public static final LiveViewPermission.Action LIST

    - #### INFO

          public static final LiveViewPermission.Action INFO

    - #### SEND

          public static final LiveViewPermission.Action SEND

    - #### STOP

          public static final LiveViewPermission.Action STOP

    - #### KILL

          public static final LiveViewPermission.Action KILL

    - #### ALERT_ACTION_EMAIL

          public static final LiveViewPermission.Action ALERT_ACTION_EMAIL

    - #### ALERT_ACTION_JAVA

          public static final LiveViewPermission.Action ALERT_ACTION_JAVA

    - #### ALERT_ACTION_OS_CMD

          public static final LiveViewPermission.Action ALERT_ACTION_OS_CMD

    - #### ALERT_ACTION_PUBLISH

          public static final LiveViewPermission.Action ALERT_ACTION_PUBLISH

    - #### ALERT_ACTION_LIVEVIEW_PUBLISH

          public static final LiveViewPermission.Action ALERT_ACTION_LIVEVIEW_PUBLISH

    - #### ALERT_ACTION_SEND_TUPLE

          public static final LiveViewPermission.Action ALERT_ACTION_SEND_TUPLE

    - #### ALERT_ACTION_DELETE

          public static final LiveViewPermission.Action ALERT_ACTION_DELETE

    - #### IMPORT

          public static final LiveViewPermission.Action IMPORT

    - #### EXPORT

          public static final LiveViewPermission.Action EXPORT

    - #### ALL

          public static final LiveViewPermission.Action ALL

  - ### Method Detail

    - #### values

          public static LiveViewPermission.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewPermission.Action c : LiveViewPermission.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewPermission.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<LiveViewPermission.Action>`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.